org.encog.neural.freeform

## Interface FreeformNeuron

- All Superinterfaces:
    TempTrainingData
  All Known Implementing Classes:
    BasicFreeformNeuron, FreeformContextNeuron

      public interface FreeformNeuron
      extends TempTrainingData

  This interface defines a freeform neuron. By freeform that this neuron is not necessarily part of a layer.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInput(FreeformConnection inputConnection)` Add an input connection to this neuron.
    `void` | `addOutput(FreeformConnection outputConnection)` Add an output connection to this neuron.
    `double` | `getActivation()`
    `InputSummation` | `getInputSummation()`
    `List<FreeformConnection>` | `getOutputs()`
    `double` | `getSum()`
    `boolean` | `isBias()`
    `void` | `performCalculation()` Perform the internal calculation for this neuron.
    `void` | `setActivation(double activation)` Set the activation, or final output for this neuron.
    `void` | `setBias(boolean b)` Determine if this neuron is a bias neuron.
    `void` | `setInputSummation(InputSummation theInputSummation)` Set the input summation method.
    `void` | `updateContext()` Update the context value for this neuron.

    - ### Methods inherited from interface org.encog.neural.freeform.TempTrainingData

      `addTempTraining, allocateTempTraining, clearTempTraining, getTempTraining, setTempTraining`

- - ### Method Detail

    - #### addInput

          void addInput(FreeformConnection inputConnection)

      Add an input connection to this neuron.
      Parameters:
        `inputConnection` - The input connection.

    - #### addOutput

          void addOutput(FreeformConnection outputConnection)

      Add an output connection to this neuron.
      Parameters:
        `outputConnection` - The output connection.

    - #### getActivation

          double getActivation()

      Returns:
        The activation for this neuron. This is the final output after the activation function has been applied.

    - #### getInputSummation

          InputSummation getInputSummation()

      Returns:
        The input summation method.

    - #### getOutputs

          List<FreeformConnection> getOutputs()

      Returns:
        The outputs from this neuron.

    - #### getSum

          double getSum()

      Returns:
        The output sum for this neuron. This is the output prior to the activation function being applied.

    - #### isBias

          boolean isBias()

      Returns:
        True, if this is a bias neuron.

    - #### performCalculation

          void performCalculation()

      Perform the internal calculation for this neuron.

    - #### setActivation

          void setActivation(double activation)

      Set the activation, or final output for this neuron.
      Parameters:
        `activation` - THe activation.

    - #### setBias

          void setBias(boolean b)

      Determine if this neuron is a bias neuron.
      Parameters:
        `b` - True, if this neuron is considered a bias neuron.

    - #### setInputSummation

          void setInputSummation(InputSummation theInputSummation)

      Set the input summation method.
      Parameters:
        `theInputSummation` - The input summation method.

    - #### updateContext

          void updateContext()

      Update the context value for this neuron.

Copyright © 2014. All Rights Reserved.